<div class="row">
  <div class="col-12 mt-2">
    <table class="table table-bordered">
      <thead>
        <tr>
          <th scope="col" width="5%" class="text-center">
            <input type="checkbox" class="checkbox">
          </th>
          <th scope="col">Task</th>
          <th scope="col">Status</th>
          <th scope="col">From</th>
          <th scope="col">To</th>
          <th scope="col">Customer Address</th>
          <th scope="col">Due Date</th>
        </tr>
      </thead>
      <tbody>
        <tr [ngClass]="{'active': statusActive(item.status_active)}" *ngFor="let item of listSubmissions">
          <td class="text-center">
            <input type="checkbox" *ngIf="statusActive(item.status_active)">
          </td>
          <td [vAlign]="'top'">{{ item.task }}</td>
          <td>
            <span [ngClass]="labelBadge(item.status_id)"><i class="bi bi-circle-fill"></i> &nbsp; {{ item.status_label }}</span>
          </td>
          <td>{{ item.from }}</td>
          <td>{{ item.to }}</td>
          <td>{{ item.customer_address }}</td>
          <td [ngClass]="labelDueDate(item.due_date)">{{ item.due_date * 1000 | date:'MMM dd, h:m a' }}</td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="col-12 mt-4">
    <app-pagination [pageCount]="listSubmissions.length"></app-pagination>
  </div>
</div>
